/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package sync4j.framework.config;

/**
 * This interface groups configuration related constants.
 *
 * @author  Stefano Foranri @ Funambol
 */
public interface ConfigurationConstants {
    public static final String CFG_SECURITY_OFFICER      = "security.officer"      ;
    public static final String CFG_STRATEGY_CLASS        = "engine.strategy"       ;
    public static final String CFG_SYNCML_DTDVERSION     = "syncml.dtdversion"     ;
    public static final String CFG_ENGINE_MANIFACTURER   = "engine.manifacturer"   ;
    public static final String CFG_ENGINE_MODELNAME      = "engine.modelname"      ;
    public static final String CFG_ENGINE_OEM            = "engine.oem"            ;
    public static final String CFG_ENGINE_FWVERSION      = "engine.firmwareversion";
    public static final String CFG_ENGINE_SWVERSION      = "engine.softwareversion";
    public static final String CFG_ENGINE_HWVERSION      = "engine.hardwareversion";
    public static final String CFG_SESSION_HANDLER       = "engine.handler"        ;
    public static final String CFG_ENGINE_DEVICEID       = "engine.deviceid"       ;
    public static final String CFG_ENGINE_DEVICETYPE     = "engine.devicetype"     ;
    public static final String CFG_ENGINE_PIPELINE       = "engine.pipeline"       ;
    public static final String CFG_PERSISTENT_STORE      = "engine.store"          ;
    public static final String CFG_SERVER_URI            = "server.uri"            ;
    public static final String CFG_SERVER_DEBUG          = "server.debug"          ;
    public static final String CFG_SERVER_DM_SELECTOR    = "server.dm.selector"    ;
    public static final String CFG_USER_MANAGER          = "user.manager"          ;

    public static final String CFG_SERVER_ID             = "server.id"             ;
    
    public static final String CFG_MIN_MSGSIZE_XML       = "minXMLMaxMsgSize"      ;
    public static final String CFG_MIN_MSGSIZE_WBXML     = "minWBXMLMaxMsgSize"    ;

}